local M = {}

local function onScenarioLoaded()
  if not ecrw_raceExtras then
    local zone = scenetree.findObject("secret1")
    local options = {vehicleName = "soccerBall", autoEnterVehicle = false}
    if zone then
      spawn.spawnVehicle("ball", nil, zone:getPosition(), quat(0, 0, 0, 1), options)
    end
    extensions.load("ecrw_raceExtras")
  end
end

local function onCountdownStarted()
  local ball = scenetree.findObject("soccerBall")
  local pos = scenetree.findObject("secret1"):getPosition()
  local posZ = ball:getPosition().z
  ball:setPositionRotation(pos.x, pos.y, posZ, 0, 0, 0, 1)
end

M.onScenarioLoaded = onScenarioLoaded
M.onCountdownStarted = onCountdownStarted

return M